#include "ccrf2_objects.h"
#include "ccrf2_resources.h"

//--------------------- User code ---------------------//
#include "easyLink.h"
void updateLabel(TLabel *lbl, char *str){
  TFT_Set_Font(lbl->FontName, Screen1.Color, FO_HORIZONTAL);
  TFT_Write_Text(lbl->Caption, lbl->Left, lbl->Top);
  strcpy(lbl->Caption, str);
  DrawLabel(lbl);
}
void removeLabel(TLabel *lbl){
  TFT_Set_Font(lbl->FontName, Screen1.Color, FO_HORIZONTAL);
  TFT_Write_Text(lbl->Caption, lbl->Left, lbl->Top);
}
extern char runRxFlag;
extern char CCRF2_Initialized;
//----------------- End of User code ------------------//

// Event Handlers

void btnInitOnClick() {
  if(!CCRF2_Initialized){
    configureCCRF2();
    updateLabel(&lblInit, "Init OK");
    CCRF2_Initialized = 1;
  }
}

void btnSendOnClick() {
  if(CCRF2_Initialized){
    removeLabel(&lblReceived);
    removeLabel(&lblReceivedC);
    DrawLabel(&lblSent);
    DrawLabel(&lblSentC);
    runRxFlag = 0;
    runTX();
  }
  else{
    updateLabel(&lblInit, "Not initialized");
  }
}

void btnSetRXOnClick() {
  if(CCRF2_Initialized){
    setRXmode();
    runRxFlag = 1;
    removeLabel(&lblSent);
    removeLabel(&lblSentC);
    DrawLabel(&lblReceived);
    DrawLabel(&lblReceivedC);
  }
  else{
    updateLabel(&lblInit, "Not initialized");
  }
}
